Falang for WPBakery Lite

설명

The Falang for WPBakery plugin makes your WPBakery page translation simpler. You need to have your site working with the Falang system for translation.

You don’t have to duplicate the page anymore to translate it, just translate only what is necessary. It’s easier to maintain and all parameters are the same for all languages.

Free vs Pro

Free verion support vc_btn,vc_column,vc_message,vc_section,vc_tta_section

Pro version support

  • WPBakery :
    vc_cta,vc_custom_heading, vc_hoverbox, vc_line_chart, vc_pie,vc_progress_bar, vc_raw_html, vc_round_chart, vc_single_image, vc_text_separator

  • martfury :
    banner_large, banner_medium, banner_small, counter, faqs, icon_box, icons_list, image_box, member

  • plethora
    button,counter,headinggroup,hoverbox,teaserbox….

  • Woodmart
    Text Block, Button, Section Title, Info Box, Promo banner, Responsive Text block, Testimonial

other elements on demand.

Concept

Translate static text ,url, textarea, from the main language to other languages.

WPBakery 7.0 and 6.7.0 don’t need anymore change to be working with Falang for WPBakery.

Witht the 6.6.0 version of WPBakery you have too add a Filter to allow the translation tab to be displayed.
wp-content/plugins/js_composer/include/classes/core/class-wpb-map.php 925
add this line :
self::$sc[ $tag ] = apply_filters(‘vc_element_settings_filter’, self::$sc[ $tag ], $tag );

Known issues

Between the 1.5 and the previous version the datastorage for content html translation is changed.
The front-end translation will work but when you edit an old widget with content , the translation is removed.

스크린샷

  • Button Settings with new tab
  • Button Settings Translation page

설치

Note : This plugin works with WPBakery. Make sure you have WPBakery installed.
Note : This plugin works with Falang. Make sure you have Falang installed and configured with at least 2 languages

  1. Upload the plugin folder to the /wp-content/plugins/ directory, or install the plugin through the WordPress plugins screen directly.
  2. Activate the plugin through the ‘Plugins’ screen in WordPress

FAQ

후기

2024년 4월 22일
The perfect complement to falang when you’re using WPBakery. Having a translation-ready tab available for the huge majority of elements on a site saves a lot of time and helps keep everything organized. Highly recommended!
2022년 6월 22일
After the installation I started to translate with very easy different parts of my website made with WPBakery. When I needed help with extra WPBakery Elements, Stéphane willingly created them. It is very useful and easy to use. I recommend it to everyone
2021년 7월 1일
100% compatible with WPBakery, 100% compatible with my theme,very easy to use and awesome support. You just send a message of what you need and they will add it imediately. I am on paid version and i can ensure you that is worth every peny. Thank you very much for your suppport guys. Looking forward to your next products.
모든 3 평가 읽기

기여자 & 개발자

“Falang for WPBakery Lite”(은)는 오픈 소스 소프트웨어입니다. 다음의 사람들이 이 플러그인에 기여하였습니다.

기여자

“Falang for WPBakery Lite”(이)가 1 개 언어로 번역되었습니다. 기여해 주셔서 번역자님께 감사드립니다.

자국어로 “Falang for WPBakery Lite”(을)를 번역하세요.

개발에 관심이 있으십니까?

코드 탐색하기는, SVN 저장소를 확인하시거나, 개발 기록RSS로 구독하세요.

변경이력

1.8 (2024/05/17)

  • Compatible with WordPress 6.5
  • Compatible with WPBakery 7.5

1.7 (2023/12/05)

  • display message on info box (Woodmart)
  • display message on promo banner (Woodmart)
  • display message on responsive text block (Woodmart)
  • display message on testimonials (Woodmart)
  • Compatible with WordPress 6.4

1.6 (2023/09/19)

  • Compatible with WPBakery 7.0
  • display message on each supported widget in Falang for WPBakery Pro (WPBakery, Woodmart)
  • Compatible with WordPress 6.3

1.5 (2023/03/20)

  • fix content translation use textarea_raw_html (break backend edition)

1.4 (2022/11/16)

  • fix WPBakery builder detection

1.3 (2022/11/15)

  • Compatible with WordPress 6.1
  • add content display filtering for WPBakery posts (post/page/product/cpt…)

1.2 (2022/05/10)

  • remove notice on mfields

1.1 (2022/02/15)

  • Compatible with WordPress 5.9
  • new lite-pro system
  • add admin notices

1.0 (2021/09/30)

  • Initial release